Get a web hosting package
GET /hosting/packages/{id}Operation ID: GetHostingPackage
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
yes | Package id (the id field of a hosting package). |
Responses
Section titled “Responses”| Status | Type | Description |
|---|---|---|
200 |
hostingPackage |
Hosting package |
401 |
Error |
Unauthorized |
404 |
Error |
Package not found |
500 |
Error |
Unexpected error |
Response body
Section titled “Response body”| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean |
yes | Success indicator |
code |
integer |
no | Response/Error Code |
response |
hostingPackage | no | — |
Example
Section titled “Example”curl -X GET "https://api.regfish.com/hosting/packages/<id>" \ -H "x-api-key: $REGFISH_API_KEY"Build a request
Section titled “Build a request”Fill in values — the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.